module MetaBuild
  module Extractor

    class WarExtractor < BaseExtractor

      EXPECTED_PATHS = %w(META-INF WEB-INF/lib public)

      def extract
        self.create_tmp_dir
        EXPECTED_PATHS.each do |path|
          MetaBuild::Helper::ZipHelper.extract @file, path, self.tmp_dir
        end
      end

    end

  end
end