module MetaBuild
  module Helper

    class PropertiesHelper
      class << self

        def load(file)
          return unless File.exist? file.to_s
          props = Hash.new

          File.readlines(file).each do |line|
            line.strip!
            next if (line.start_with? '#') || (line.empty?)

            kv = line.split '='
            props[kv.first.rstrip] = kv.last.lstrip
          end

          props
        end

      end
    end

  end
end